[package]
name = "nostr"
version = "0.1.0"
edition = "2021"

[workspace]
members = [
    "crates/types",
    "crates/client",
    "crates/relayer",
    "crates/storage"
]

[dependencies]
nostr-rs-types = { path = "crates/types" }
nostr-rs-client = { path = "crates/client" }
nostr-rs-storage = { path = "crates/storage" }
nostr-rs-relayer = { path = "crates/relayer" }
tokio = { version = "1.26.0", features = ["full"] }
env_logger = "0.10.0"
serde_json = "1.0.94"
futures-util = "0.3.27"
log = "0.4.17"
thiserror = "1.0.40"
futures = "0.3.28"
instant-acme = "0.2.0"
